Last modified: 2014-09-24 01:18:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20017 - Special:Statistics shows -1 active users
Special:Statistics shows -1 active users
Status: REOPENED
Product: MediaWiki
Classification: Unclassified
Special pages (Other open bugs)
1.18.x
All All
: Normal minor with 3 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
http://ksh.wikipedia.org/wiki/Special...
:
: 28473 (view as bug list)
Depends on:
Blocks: 16660
  Show dependency treegraph
 
Reported: 2009-07-31 04:12 UTC by Purodha Blissenbach
Modified: 2014-09-24 01:18 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Special:Statistics page of kshwiki 2009-Aug-07, ~10:20 (CEDT), cropped. (3.89 KB, image/png)
2009-08-07 08:35 UTC, Purodha Blissenbach
Details

Description Purodha Blissenbach 2009-07-31 04:12:27 UTC
In the ksh Wikipedia, there are currently -1 active users
shown in Special:Statistics.
The reason why is, likely, that the cached counts in the database
have been reset. The reason for the reset is, likely, that the
"god article" count fell below zero. 

This should not result in -1 active users.

This bug is related to bug 19919.
Comment 1 Nakon 2009-08-05 03:38:07 UTC
The page now shows 44 active users.
Comment 2 Purodha Blissenbach 2009-08-06 11:23:52 UTC
You've been too late. Meanwhile it does show 44 active users, since
the usual update cycle of the active users count had been reached.
The page showed -1 users, as our bot noted in your daily statics page
http://ksh.wikipedia.org/wiki/Wikipedia:Statistike#Ripoarisch_Wikkipedija_.C2.A0_Auju.C3.9F.C3.9F_2009
automatically, too, the figures in which are simply copied from
http://ksh.wikipedia.org/wiki/Spezial:Statistik?action=raw
once at night. There is a slight chance that the count could be reset
once more (unlikely, though) if it does, and I catch it, I make a
screenshot.
Comment 3 Purodha Blissenbach 2009-08-07 08:35:09 UTC
Created attachment 6432 [details]
Special:Statistics page of kshwiki 2009-Aug-07, ~10:20 (CEDT), cropped.

Here is the promised screen shot. If you want to see -1 active useres life in the wiki, be quick! :-)
Comment 4 Meno25 2009-08-12 00:28:49 UTC
(In reply to comment #3)
> Created an attachment (id=6432) [details]
> Special:Statistics page of kshwiki 2009-Aug-07, ~10:20 (CEDT), cropped.
> 
> Here is the promised screen shot. If you want to see -1 active useres life in
> the wiki, be quick! :-)
> 

I encountered this bug on fresh install of Mediawiki 1.15.1 (PHP 5.2 and MySQL 4.1)
Comment 5 Brad Will (tmbw.net) 2010-03-26 16:00:40 UTC
I've noticed this on other wikis running 1.15.1 as well:
(http://www.alliancewiki.info/index.php?title=Special:Statistics)

I think it's not really an "enhancement". It seems like a legit bug to me, so I'm changing the importance, if you don't mind.
Comment 6 db [inactive,noenotif] 2011-04-10 17:46:06 UTC
*** Bug 28473 has been marked as a duplicate of this bug. ***
Comment 7 Helder 2011-06-08 02:34:50 UTC
It just happened again on another fresh install of MW from trunk (1.19-svn?). I noticed it after I ran
 php importDump.php ~/Downloads/ptwikibooks-20110531-pages-meta-current.xml
(although I didn't look at the page before this). The wiki has only one user, and [[Special:Statistics]] displayed

--------------------------------------------------
Registered users                           |  1  |
--------------------------------------------------
Active users (list of members)             |     |
(Users who have performed an action in the | -1  |
last 30 days)                              |     |
--------------------------------------------------
Comment 8 Kipmaster 2011-07-21 08:35:28 UTC
I have a similar bug with OmegaWiki (see Statistics http://www.omegawiki.org/Special:Statistics )

However, when I do a "php maintenance/initStats.php --active " (with or without --update) , it shows 17, which is probably right.
But a "select * from site_stats" shows -1 so the number was not correctly submitted to the database (or was reinitialized afterwards?)

MediaWiki version 1.19alpha (r91414)
Comment 9 Kipmaster 2011-07-22 18:44:23 UTC
Correction to my previous comment:
it does work with --active --update
However, if I run again the script after that, just with --active , it puts again -1 in the database.
Comment 10 Sumana Harihareswara 2012-03-03 00:22:07 UTC
Still happening as of February 2012.  https://meta.wikimedia.org/wiki/Wikimedia_Forum#Number_of_active_users_equal_to_-1
Comment 11 Sumana Harihareswara 2012-03-11 01:59:59 UTC
So, the temporary workaround is for a site administrator to run

 php maintenance/initStats.php --active  --update

(the stats maintenance script) on the command line?  And I'm not quite clear on how often they might have to do that until there's a real fix.
Comment 12 Sumana Harihareswara 2012-03-11 02:01:40 UTC
Happening to at least one 1.18.1 wiki ( http://theopenglobe.org/wiki/Special:Statistics ).
Comment 13 Umherirrender 2013-07-12 21:03:57 UTC
With Gerrit change #65133 the stored active_users field in the database will be checked and a negative value will trigger a recalculate of the count. That means, this situation will now occurs less often, but I am not sure, if this is fixed in all code path.
Comment 14 Umherirrender 2014-02-23 20:29:03 UTC
(In reply to Umherirrender from comment #13)
> With Gerrit change #65133 the stored active_users field in the database will
> be checked and a negative value will trigger a recalculate of the count.
> That means, this situation will now occurs less often, but I am not sure, if
> this is fixed in all code path.

Seen on pl.wp today
Comment 15 Nemo 2014-02-23 23:01:39 UTC
(In reply to Umherirrender from comment #13)
> With Gerrit change #65133 the stored active_users field in the database will
> be checked and a negative value will trigger a recalculate of the count.

Related: https://gerrit.wikimedia.org/r/#/c/114994/

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links